/*FONTS*/
@import "app/shared/styles/fonts.scss";

/*COLORS*/
@import "app/shared/styles/utils/colors.scss";

/*VARIABLES*/
@import "app/shared/styles/utils/variables.scss";

/*TYPOGRAPHY*/
@import "app/shared/styles/utils/typography.scss";

/*GLOBAL STYLES*/
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html,
body {
  height: 100%;
  margin: 0;
  font-family: "Kanit-Regular";
  color: $text-color-dark;
  
  font-size: 62.5%; //1rem = 10px; 10px / 16px = 62.5%;

  @media screen and (min-width: $xl) {
    font-size: 75%; //1rem = 12px; 12px / 16px = 75%
  }

  @media screen and (max-width: $md) {
    font-size: 56.25%; //1rem = 9px; 9px / 16px = 56.25%
  }

  @media screen and (max-width: $sm) {
    font-size: 50%; //1rem = 8px; 8px / 16px = 50%
  }
}
